import { PackageResult } from "@monorepo-utils/package-utils";
export declare type Dependencies = {
    [index: string]: string;
};
export declare type PackageManagerPluginOptions = {
    rootDir: string;
};
export declare type PackageReference = {
    name: string;
    version: undefined | string;
};
export declare type PackageManagerPluginImplementation = {
    /**
     * Return true if support the project
     */
    supports(): boolean;
    /**
     * Return monorepo packages
     */
    getAllPackages(): PackageResult[];
    /**
     * Return PackageReference of the package
     * @param pkgResult
     */
    getDependencies(pkgResult: PackageResult): PackageReference[];
    /**
     * If can resolve it, return absolute path.
     * If can not resolve it, return null.
     */
    resolve(reference: PackageReference): string | null;
};
export declare type PackageManagerPlugin = (options: PackageManagerPluginOptions) => PackageManagerPluginImplementation;
